Subject: Re: [PATCH 3/4] Automatically detect a bare git repository.

From: Martin Waitz <[email-masked]>
Date: Sun, 31 Dec 2006 18:54:07 +0100

hoi :)

On Sat, Dec 30, 2006 at 11:30:19PM -0500, Shawn O. Pearce wrote:
> We test the current working directory only after we have tried
> searching up the directory tree.  This is to retain backwards
> compatibility with our previous behavior on the off chance that
> a user has a 'refs' and 'objects' subdirectories and a 'HEAD'
> file that looks like a symref, all stored within a repository's
> associated working directory.

Hmm, I have my dot files under GIT control so I can't use this mechanism
to use bare GIT repositories under ~/git/*.git.

Perhaps we should test the current directory first, but check that it
ends in .git?

-- 
Martin Waitz